%define oname	multibit

Name:		MultiBit
Version:	0.5.10
Release:	%mkrel 1
Summary:	Is a secure, lightweight, international Bitcoin wallet
Summary(fr_FR):	Est un portefeuille Bitcoin international sécurisé et léger
License:	MIT
Group:		Office/Suite
URL:		https://multibit.org/
# Origine Source for download tarball: https://github.com/jim618/multibit/archive/v%%{version}.zip
Source0:	https://github.com/jim618/multibit/archive/%{oname}-%{version}.zip
Source1:	https://multibit.org/releases/%{oname}-%{version}/%{oname}-exe.jar
Source2:	%{name}.sh
Source3:	multibit48.png

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	java-rpmbuild
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	unzip

Requires:	java-1.7.0-openjdk 

%description
MultiBit makes performing Bitcoin transactions quick and
simple and it comes in a variety of languages because
Bitcoin is without borders.

%description -l fr_FR
Multibit rend l'exécution des transactions de Bitcoin simple 
et rapide et on le trouve dans une grande variété de langues 
parce que Bitcoin est sans frontières. 

%prep
%setup -q -n %{oname}-%{version}

%build

%install
rm -rf %{buildroot}
rm -rf src

install -d %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/%{name}
cp -r ./* %{buildroot}/%{_datadir}/%{name}/
cp -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/%{oname}-exe.jar
cp -p %{SOURCE2} %{buildroot}%{_datadir}/%{name}/%{name}.sh
cp -p %{SOURCE3} %{buildroot}%{_datadir}/%{name}/multibit48.png

install -d %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Multibit
Name[FR]=Multibit
Comment=Secure, lightweight, international Bitcoin wallet
Comment[FR]=Portefeuille Bitcoin international sécurisé et léger
Exec=java -jar /usr/share/MultiBit/multibit-exe.jar
Terminal=false
Type=Application
Icon=multibit48.png
StartupNotify=true
MimeType=
Categories=Office;
EOF

#make Excutable
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/share/MultiBit/
sh ./MultiBit.sh "$@"
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc COPYING AUTHORS.txt README.md configuration.txt release_notes.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/pixmaps/multibit48.png
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop


%changelog

* Wed May 29 2013 david.david (MLO Team) <david.david> 0.5.10-1.mga3
+ New version: 0.5.10
- add french language in %%description and %%Summary
- add Source1, Source2 and Source3
- update License to MIT

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.4.23-5.mga3
+ Revision: 5
- correcting "spec" file

* Tue Apr 23 2013 david.david (MLO Team) <david.david> 0.4.23-4.mga3
+ Rebuild package for Mageia 3 (Core)
- version: 0.4.23

* Sun Apr 21 2013 Adrien.D <adrien.d> 0.4.23-3.mga2
+ Revision: 3
- modification du fichier spec

* Tue Apr 16 2013 Adrien.D <adrien.d> 0.4.23-2.mga2
+ Revision: 2
- Correction du raccourcci.

* Tue Apr 16 2013 Adrien.D <adrien.d> 0.4.23-1.mga2
+ Revision: 1
- New RPM Package